{% extends "app/base_site.html" %}

{% load static %}

{% block title %} Usuarios {% endblock title %}

{% block stylesheets %}
    {{ block.super }}
    <link href="{% static '/vendors/datatables.net-bs/css/dataTables.bootstrap.min.css' %}" rel="stylesheet">
    <link href="{% static '/vendors/datatables.net-buttons-bs/css/buttons.bootstrap.min.css' %}" rel="stylesheet">
    <link href="{% static '/vendors/datatables.net-fixedheader-bs/css/fixedHeader.bootstrap.min.css' %}"
          rel="stylesheet">
    <link href="{% static '/vendors/datatables.net-responsive-bs/css/responsive.bootstrap.min.css' %}" rel="stylesheet">
    <link href="{% static '/vendors/datatables.net-scroller-bs/css/scroller.bootstrap.min.css' %}" rel="stylesheet">
{% endblock stylesheets %}

{% block content %}
    <div class="right_col" role="main">
        <div class="">
            <div class="clearfix"></div>
            <div class="row">
                <div class="col-md-12 col-sm-12 col-xs-12">
                    <div class="x_panel">
                        <div class="x_title">
                            <h2>Usuarios</h2>
                            <ul class="nav navbar-right">
                                {% if user.is_superuser or user.is_staff %}
                                    <li><a href="{% url 'administration:user_add' %}" title="Registrar usuario"
                                           class=""><i class="fa fa-plus"></i></a>
                                    </li>
                                {% endif %}
                            </ul>
                            <div class="clearfix"></div>
                        </div>
                        <div class="x_content">
                            <table id="users-datatable" class="table table-striped table-bordered">
                                <thead>
                                <tr>
                                    <th class="text-center">Nombre</th>
                                    <th class="text-center">Usuario</th>
                                    <th class="text-center">Correo</th>
                                    <th class="text-center">Activo</th>
                                    <th class="text-center">Admin</th>
                                    <th class="text-center"></th>
                                </tr>
                                </thead>

                                <tbody>
                                {% for user in users %}
                                    <tr>
                                        <td class="">
                                            {{ user.first_name }} {{ user.last_name }}
                                        </td>
                                        <td class="">
                                            {{ user.username }}
                                        </td>
                                        <td class="">
                                            {{ user.email }}
                                        </td>
                                        <td>
                                            {% if user.is_active %}
                                                <div class="fa-hover col-md-3 col-sm-4">
                                                    <i class="fa fa-chevron-circle-down green"></i>
                                                </div>
                                            {% else %}
                                                <div class="fa-hover col-md-3 col-sm-4">
                                                    <i class="fa fa-chevron-circle-down red"></i>
                                                </div>
                                            {% endif %}
                                        </td>
                                        <td>
                                            {% if user.is_staff %}
                                                <div class="fa-hover col-md-3 col-sm-4">
                                                    <i class="fa fa-chevron-circle-down green"></i>
                                                </div>
                                            {% else %}
                                                <div class="fa-hover col-md-3 col-sm-4">
                                                    <i class="fa fa-chevron-circle-down red"></i>
                                                </div>
                                            {% endif %}
                                        </td>
                                        <td class="text-center">
                                            <a title="Editar"
                                               href="{% url 'administration:user_edit' user.id %}">
                                                <i class="glyphicon glyphicon-edit"></i>
                                            </a>
                                        </td>
                                    </tr>
                                {% endfor %}
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
{% endblock content %}

{% block javascripts %}
    {{ block.super }}
    <!-- Datatables -->
    <script src="{% static '/vendors/datatables.net/js/jquery.dataTables.min.js' %}"></script>
    <script src="{% static '/vendors/datatables.net-bs/js/dataTables.bootstrap.min.js' %}"></script>
    <script src="{% static '/vendors/datatables.net-buttons/js/dataTables.buttons.min.js' %}"></script>
    <script src="{% static '/vendors/datatables.net-buttons-bs/js/buttons.bootstrap.min.js' %}"></script>
    <script src="{% static '/vendors/datatables.net-buttons/js/buttons.flash.min.js' %}"></script>
    <script src="{% static '/vendors/datatables.net-buttons/js/buttons.html5.min.js' %}"></script>
    <script src="{% static '/vendors/datatables.net-buttons/js/buttons.print.min.js' %}"></script>
    <script src="{% static '/vendors/datatables.net-fixedheader/js/dataTables.fixedHeader.min.js' %}"></script>
    <script src="{% static '/vendors/datatables.net-keytable/js/dataTables.keyTable.min.js' %}"></script>
    <script src="{% static '/vendors/datatables.net-responsive/js/dataTables.responsive.min.js' %}"></script>
    <script src="{% static '/vendors/datatables.net-responsive-bs/js/responsive.bootstrap.js' %}"></script>
    <script src="{% static '/vendors/datatables.net-scroller/js/dataTables.scroller.min.js' %}"></script>
    <script src="{% static '/vendors/jszip/dist/jszip.min.js' %}"></script>
    <script src="{% static '/vendors/pdfmake/build/pdfmake.min.js' %}"></script>
    <script src="{% static '/vendors/pdfmake/build/vfs_fonts.js' %}"></script>
    <script type="text/javascript">
        $(document).ready(function () {
            var entradas_table = $('#users-datatable').DataTable({
                "language": {
                    "search": "Buscar:",
                    "lengthMenu": "Mostrar _MENU_ elementos",
                    "zeroRecords": "Sin datos",
                    "info": "Mostrando _START_ a _END_ de _TOTAL_ elementos",
                    "infoEmpty": "No hay datos disponibles",
                    "infoFiltered": "(filtrado de _MAX_ elementos)",
                    "paginate": {
                        "previous": "Anterior",
                        "next": "Siguiente"
                    }
                },
                "order": [],
            });
        });
    </script>
{% endblock javascripts %}
